| Flutter Impeller |

Public Attributes | List of all members
impeller::SolidRRectLikeBlurContents::PassContext Struct Reference

`#include <solid_rrect_like_blur_contents.h>`

## Public Attributes
ContentContextOptions | opts
Point | center
Point | adjust
Scalar | minEdge
Scalar | r1
Scalar | exponent
Scalar | sInv
Scalar | exponentInv
Scalar | scale

## Detailed Description

Definition at line 45 of file solid_rrect_like_blur_contents.h.

## Member Data Documentation

## ◆ adjust

Point impeller::SolidRRectLikeBlurContents::PassContext::adjust

Definition at line 50 of file solid_rrect_like_blur_contents.h.

Referenced by impeller::SolidRRectBlurContents::SetPassInfo().

## ◆ center

Point impeller::SolidRRectLikeBlurContents::PassContext::center

Definition at line 49 of file solid_rrect_like_blur_contents.h.

Referenced by impeller::SolidRRectBlurContents::SetPassInfo().

## ◆ exponent

Scalar impeller::SolidRRectLikeBlurContents::PassContext::exponent

Definition at line 53 of file solid_rrect_like_blur_contents.h.

Referenced by impeller::SolidRRectBlurContents::SetPassInfo().

## ◆ exponentInv

Scalar impeller::SolidRRectLikeBlurContents::PassContext::exponentInv

Definition at line 55 of file solid_rrect_like_blur_contents.h.

Referenced by impeller::SolidRRectBlurContents::SetPassInfo().

## ◆ minEdge

Scalar impeller::SolidRRectLikeBlurContents::PassContext::minEdge

Definition at line 51 of file solid_rrect_like_blur_contents.h.

Referenced by impeller::SolidRRectBlurContents::SetPassInfo().

## ◆ opts

ContentContextOptions impeller::SolidRRectLikeBlurContents::PassContext::opts

Definition at line 47 of file solid_rrect_like_blur_contents.h.

Referenced by impeller::SolidRRectLikeBlurContents::Render(), and impeller::SolidRRectBlurContents::SetPassInfo().

## ◆ r1

Scalar impeller::SolidRRectLikeBlurContents::PassContext::r1

Definition at line 52 of file solid_rrect_like_blur_contents.h.

Referenced by impeller::SolidRRectBlurContents::SetPassInfo().

## ◆ scale

Scalar impeller::SolidRRectLikeBlurContents::PassContext::scale

Definition at line 56 of file solid_rrect_like_blur_contents.h.

Referenced by impeller::SolidRRectBlurContents::SetPassInfo().

## ◆ sInv

Scalar impeller::SolidRRectLikeBlurContents::PassContext::sInv

Definition at line 54 of file solid_rrect_like_blur_contents.h.

Referenced by impeller::SolidRRectBlurContents::SetPassInfo().

The documentation for this struct was generated from the following file:

- impeller/entity/contents/solid_rrect_like_blur_contents.h